<script>
	let { size = 30, css } = $props();
</script>

<main class="{css} ">
	<div style="width: {size}px; height: {size}px;">
		<svg
			xmlns="http://www.w3.org/2000/svg"
			version="1.1"
			viewBox="0 0 100 100"
			style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"
			xmlns:xlink="http://www.w3.org/1999/xlink"
		>
			<g
				><path
					style="opacity:1"
					fill="#fcfcfc"
					d="M 40.5,-0.5 C 45.1667,-0.5 49.8333,-0.5 54.5,-0.5C 76.9521,4.95176 90.6187,18.9518 95.5,41.5C 95.5,45.5 95.5,49.5 95.5,53.5C 90.6187,76.0482 76.9521,90.0482 54.5,95.5C 49.8333,95.5 45.1667,95.5 40.5,95.5C 18.5,90.1667 4.83333,76.5 -0.5,54.5C -0.5,49.8333 -0.5,45.1667 -0.5,40.5C 4.83333,18.5 18.5,4.83333 40.5,-0.5 Z"
				/></g
			>
			<g
				><path
					style="opacity:1"
					fill="#f84726"
					d="M 40.5,29.5 C 40.5,38.5 40.5,47.5 40.5,56.5C 33.9066,48.9816 28.5733,40.6482 24.5,31.5C 25.4961,21.1109 30.3295,18.7776 39,24.5C 40.0086,26.0249 40.5086,27.6916 40.5,29.5 Z"
				/></g
			>
			<g
				><path
					style="opacity:1"
					fill="#2ecdb5"
					d="M 70.5,63.5 C 65.2478,58.853 59.9145,54.1863 54.5,49.5C 54.5,49.1667 54.5,48.8333 54.5,48.5C 54.1996,40.7767 54.5329,33.1101 55.5,25.5C 58.5947,21.4334 62.5947,20.4334 67.5,22.5C 68.3333,23.5 69.1667,24.5 70,25.5C 70.4999,38.1623 70.6666,50.8289 70.5,63.5 Z"
				/></g
			>
			<g
				><path
					style="opacity:1"
					fill="#f5598a"
					d="M 40.5,29.5 C 44.3948,36.3958 49.0614,42.7292 54.5,48.5C 54.5,48.8333 54.5,49.1667 54.5,49.5C 54.24,56.557 54.5733,63.557 55.5,70.5C 50.154,66.4819 45.154,62.1485 40.5,57.5C 40.5,57.1667 40.5,56.8333 40.5,56.5C 40.5,47.5 40.5,38.5 40.5,29.5 Z"
				/></g
			>
			<g
				><path
					style="opacity:1"
					fill="#fec548"
					d="M 24.5,31.5 C 28.5733,40.6482 33.9066,48.9816 40.5,56.5C 40.5,56.8333 40.5,57.1667 40.5,57.5C 40.6653,61.1817 40.4986,64.8484 40,68.5C 36.0769,75.4229 31.4102,76.0895 26,70.5C 24.538,57.5993 24.038,44.5993 24.5,31.5 Z"
				/></g
			>
			<g
				><path
					style="opacity:1"
					fill="#324762"
					d="M 54.5,49.5 C 59.9145,54.1863 65.2478,58.853 70.5,63.5C 70.9952,70.8358 67.6618,74.3358 60.5,74C 58.6536,72.9702 56.9869,71.8036 55.5,70.5C 54.5733,63.557 54.24,56.557 54.5,49.5 Z"
				/></g
			>
		</svg>
	</div>
</main>
